"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path = require("path");
const superagentProxy = require("superagent-proxy");
const name = '@ionic/cli-plugin-proxy';
function registerHooks(hooks) {
    hooks.register(name, 'plugins:init', ({ env }) => tslib_1.__awaiter(this, void 0, void 0, function* () {
        const superagent = env.load('superagent');
        superagentProxy(superagent);
    }));
    hooks.register(name, 'info', () => tslib_1.__awaiter(this, void 0, void 0, function* () {
        const { readPackageJsonFileOfResolvedModule } = yield Promise.resolve().then(function () { return require('@ionic/cli-utils/lib/utils/npm'); });
        const packageJson = yield readPackageJsonFileOfResolvedModule(__filename);
        const version = packageJson.version || '';
        const envvars = ['IONIC_HTTP_PROXY', 'HTTPS_PROXY', 'HTTP_PROXY', 'PROXY', 'https_proxy', 'http_proxy', 'proxy'];
        const infos = envvars.map((v) => ({ type: 'environment', key: v, value: process.env[v] || 'not set' }));
        infos.push({ type: 'cli-packages', key: name, value: version, path: path.dirname(path.dirname(__filename)) });
        return infos;
    }));
}
exports.registerHooks = registerHooks;
